LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Debian (http://www.linuxquestions.org/questions/debian-26/)
-   -   Compiz in Unstable (http://www.linuxquestions.org/questions/debian-26/compiz-in-unstable-488125/)

OmegaBlac 09-29-2006 08:37 PM

Compiz in Unstable
 
Well compiz has finally arrived. I'm still waiting for my local repo to update but the packages for compiz are in unstable on some Debian repository servers (including the main) as I speak. Has anyone tried it out yet? Any problems that one should know about? With the new Nvidia beta drivers, Xorg 7.1, and now compiz in unstable, Debian officialy can finally catch up to Ubuntu in the eye-candy arena :cool:. The community fork of compiz, Beryl should be uploaded to unstable soon too!

More info here:
http://gravityboy.livejournal.com/30382.html

megaprog 09-29-2006 10:14 PM

What a great new !
 
How great is this new, I've been trying to install GLX and Compiz from de .rpm from Suse, and I have failed, I'm runnig Etch, is there anyway you could guide me on this how to try to install this on my system ? I already have my Nvidia drivers and KDE 3.5. I hope you can guide me guys.

Volhv 09-29-2006 10:20 PM

how much memory does it need to run decently?

megaprog 09-29-2006 10:35 PM

Not too much
 
I have readed that It's not too much what it takes to run compiz, but what you really need is a Video Card, and better Nvidia, it's what they say, talking about memory well I have 512 MB and they told it runs cool, so I guess it may need at least 256 MB.

OmegaBlac 09-29-2006 10:40 PM

Quote:

Originally Posted by megaprog
How great is this new, I've been trying to install GLX and Compiz from de .rpm from Suse, and I have failed, I'm runnig Etch, is there anyway you could guide me on this how to try to install this on my system ? I already have my Nvidia drivers and KDE 3.5. I hope you can guide me guys.

Unfortunately compiz ran once and now refuses to run again for me so I can't really give too much advice regarding running it. You could try going to the Beryl forums for help >> http://forum.beryl-project.org/ or the compiz mailing-lists > http://lists.freedesktop.org/archives/compiz/. You could also check here at LQ I guess. Oh and the link I posted to the blog has some hints in the comment section also.

You may need the beta Nvidia drivers which are at version 1.0-9625. I'm not entirely sure but it is best to use the latest even if they beta as some new stuff was added to it. As for compiz installation just apt-get install compiz or aptitude install compiz as root or using sudo. I'm not sure if the Debian package (as it will install compiz-gnome package as a dependency) will work with KDE. I just tried in XFCE and it didn't run (not related to previous error I mentioned above).

Quote:

Originally Posted by Volhv
how much memory does it need to run decently?

Over the past couple of months I have "heard" in various forums that it does not require too much memory, system and VRAM wise. I've seen someone mention running compiz and xgl with 32MB video card. I'm not sure if that is true but I have generally heard that it is doesn't take much, but the more power you have the better. Running from the Koora XGL livecd, compiz and xgl ran pretty quick for me and I was using a Nvidia 5200 with 128MB of VRAM. It may run slow due to being buggy and still in development so YMMV.

Volhv 09-29-2006 10:49 PM

thanks. i guess i'll stay with xfce :-)))

OmegaBlac 09-29-2006 11:01 PM

Another help link:

The Nvidia Linux forums:
http://www.nvnews.net/vbulletin/forumdisplay.php?f=14

JackieBrown 09-29-2006 11:01 PM

Quote:

Originally Posted by megaprog
How great is this new, I've been trying to install GLX and Compiz from de .rpm from Suse, and I have failed, I'm runnig Etch, is there anyway you could guide me on this how to try to install this on my system ? I already have my Nvidia drivers and KDE 3.5. I hope you can guide me guys.

Still no xgl

nor the kde-compiz extension. But we are close :)

craigevil 09-29-2006 11:19 PM

Runs ok, still buggy. But you need the nvidia beta driver.

Requirements:
* XOrg 7.1 or later
* NVIDIA graphics drivers >= 1.0-9625
* Any NVIDIA GPU supported by these drivers

OmegaBlac 09-29-2006 11:48 PM

Quote:

Originally Posted by JackieBrown
Still no xgl

nor the kde-compiz extension. But we are close :)

Yea they are working on getting XGL in Unstable, but probably won't be for sometime (here's hoping I'm wrong!). As for the compiz-kde, I thought I saw that in experimental (not there now), but that may have been one of the devs unofficial packages.

OmegaBlac 09-30-2006 02:05 AM

:rolleyes: :mad: Stupid me. I forgot to reinstall the Nvidia drivers after installing the packages so that was the reason I could not start compiz again after the first try--got it working now. Kinda slower then what I have seen and experienced on the Koraa LiveCD with XGL but it is nice. Yea it is buggy still, but will get better with time. Can't wait for Beryl to hit unstable so I can test that out too! Good luck to everyone trying to get this great software to work!

megaprog 09-30-2006 02:35 AM

Well
 
Ok as I see, the first that I'm gonna need is to upgrade from Etch to Sid, I said once that I would never use an unstable version, but common, I need to be on the bleeding edge ! The other thing is that my Etch right now is very very stable, and I love that, but I'll think about it.

By the way, I have a question, do I need GLX to run Compiz ?? Or I may use it without it ?

OmegaBlac 09-30-2006 10:52 AM

Quote:

Originally Posted by megaprog
By the way, I have a question, do I need GLX to run Compiz ?? Or I may use it without it ?

You need the GLX module to be loaded in the xorg.conf file if that is what you are refering to.

megaprog 09-30-2006 01:16 PM

Ok thanks
 
Quote:

Originally Posted by OmegaBlac
You need the GLX module to be loaded in the xorg.conf file if that is what you are refering to.

Well I installed GLX and Compiz from RPM packages following this tutorials

ttp://sonique54.free.fr/xgl/xgl.htm

this one is in SPANISH.
http://blog.wunslov.com/2006/instalando-xgl-en-debian/

Ok I have achived to install everything, but I can't get it to run, the problem is that I use KDE and KDM, not GDM or Gnome, so they say that soon they may post something about KDE.

OmegaBlac 09-30-2006 02:50 PM

Quote:

Originally Posted by megaprog
Well I installed GLX and Compiz from RPM packages following this tutorials

ttp://sonique54.free.fr/xgl/xgl.htm

this one is in SPANISH.
http://blog.wunslov.com/2006/instalando-xgl-en-debian/

Did you mean XGL instead of GLX? If you did then ignore my previous post. You do not need XGL to run Compiz; make sure you have Xorg 7.1 and the proper video drivers for your particular card. Yea XGL is being worked on from what I can gather, but I am not sure on the ETA on that. I'm staying clear of unofficial third-party packages as I am not sure of the quality--I can wait another month or so for the official package.


All times are GMT -5. The time now is 11:49 PM.